$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5867b3b72e29612edaff22fe536e4b8f2f16ed75/rpcs3-v0.0.10-10594-5867b3b7_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c7efc9e7191c9458c664c90b789dc6af46585e86129d3805ea0f2b8afe8d2a01'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
